Bug 1301464 - Openshift diagnostics: inconsistency on reporting errors about missing docker-registry pod and router pod
Openshift diagnostics: inconsistency on reporting errors about missing docker...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Paul Weil
Xia Zhao
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 02:00 EST by Xia Zhao
Modified: 2017-05-30 08:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-30 08:49:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github https://github.com/openshift/origin/pull/13022 None None None 2017-02-21 08:13 EST

  None (edit)
Comment 1 Luke Meyer 2016-01-25 14:25:56 EST
Yes, these seem like good ideas. Thanks.
Comment 2 Xia Zhao 2017-02-22 21:31:59 EST
Verified on origin that the error messages are consisted:

# openshift version
openshift v1.5.0-alpha.3+0d2ec2a-51
kubernetes v1.5.2+43a9be4
etcd 3.1.0


[Note] Running diagnostic: ClusterRegistry
       Description: Check that there is a working Docker registry
       
ERROR: [DClu1006 from diagnostic ClusterRegistry@openshift/origin/pkg/diagnostics/cluster/registry.go:209]
       The "docker-registry" service exists but has no associated pods, so it
       is not available. Builds and deployments that use the registry will fail.


[Note] Running diagnostic: ClusterRouterName
       Description: Check there is a working router
       
ERROR: [DClu2007 from diagnostic ClusterRouter@openshift/origin/pkg/diagnostics/cluster/router.go:156]
       The "router" DeploymentConfig exists but has no running pods, so it
       is not available. Apps will not be externally accessible via the router.

Note You need to log in before you can comment on or make changes to this bug.